Subject: Re: Repository Security

From: Jakub Narebski <[email-masked]>
Date: Tue, 23 Jan 2007 12:06:09 +0100

Andre Masella wrote:

> I've been using git for a while and really like it, but I have a concern about 
> security.
> 
> As I understand it, none of the repository backends allow any per-user 
> per-branch access control. SSH and HTTP come the closest with the right 
> hooks, but since the repository is writeable by those users, there is little 
> to stop them from changing the repository directly.

I wonder if it would be enought for SSH (and perhaps HTTP/WebDAV access)
just to rely on filesystem write access to refs/heads files (different
files having different access rights), and filesystem ACLs.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git